## sip rogue

=== Makefile ===
ifeq ( $(OS), Windows_NT )
    EXE_SUFFIX = .exe
else
    EXE_SUFFIX =
endif

CAPTURE_SOURCE_FILES = \
	capture.cpp \
	hash.cpp \
	SdpMessage.cpp \
	SipHeader.cpp \
	SipIdentifier.cpp \
	SipMessage.cpp \
	SipUri.cpp \
	util.cpp \

CAPTURE_HEADER_FILES = \
	hash.h \
	SdpMessage.h \
	SipHeader.h \
	SipIdentifier.h \
	SipMessage.h \
	SipUri.h \
	util.h \

TEST_SOURCE_FILES = \
	SdpMessage.cpp \
	SipHeader.cpp \
	SipIdentifier.cpp \
	SipMessage.cpp \
	SipUri.cpp \
	test.cpp \
	util.cpp \

TEST_HEADER_FILES = \
	SdpMessage.h \
	SipHeader.h \
	SipIdentifier.h \
	SipMessage.h \
	SipUri.h \
	util.h \

SIP_ROGUE_SOURCE_FILES = \
	AttackAudio.cpp \
	ControlMessage.cpp \
	ControlPort.cpp \
	hash.cpp \
	main.cpp \
	RtpHandler.cpp \
	SdpMessage.cpp \
	SipCall.cpp \
	SipDispatcher.cpp \
	SipEndPoint.cpp \
	SipHeader.cpp \
	SipIdentifier.cpp \
	SipMessage.cpp \
	SipProxyEndPoint.cpp \
	SipRegistrarConnector.cpp \
	SipRegistrar.cpp \
	SipUdpPort.cpp \
	SipUri.cpp \
	util.cpp \

SIP_ROGUE_HEADER_FILES = \
	AttackAudio.h \
	ControlMessage.h \
	ControlPort.h \
	hash.h \
	RtpHandler.h \
	SdpMessage.h \
	SipCall.h \
	SipDispatcher.h \
	SipEndPoint.h \
	SipHeader.h \
	SipIdentifier.h \
	SipMessage.h \
	SipProxyEndPoint.h \
	SipRegistrarConnector.h \
	SipRegistrar.h \
	SipUdpPort.h \
	SipUri.h \
	util.h \

CFLAGS=-ggdb -Wall -Wshadow -D_REENTRANT
CXXFLAGS=-ggdb -Wall -Wshadow -D_REENTRANT

all: cleantest test$(EXE_SUFFIX) capture$(EXE_SUFFIX) sip_rogue$(EXE_SUFFIX) \
     waitfor$(EXE_SUFFIX)

capture$(EXE_SUFFIX): $(CAPTURE_SOURCE_FILES) $(CAPTURE_HEADER_FILES)
	$(CXX) $(CXXFLAGS) -lpcap -o capture$(EXE_SUFFIX) $(CAPTURE_SOURCE_FILES) \
	                   -lnet

clean: cleantest
	rm -f capture$(EXE_SUFFIX) sip_rogue$(EXE_SUFFIX) waitfor$(EXE_SUFFIX)

cleantest:
	rm -f test$(EXE_SUFFIX)

sip_rogue$(EXE_SUFFIX): $(SIP_ROGUE_SOURCE_FILES) $(SIP_ROGUE_HEADER_FILES)
	$(CXX) $(CXXFLAGS) -I../g711conversions -lpthread -ljrtp -lpcap -lnet ../g711conversions/g711conversions.o -o sip_rogue$(EXE_SUFFIX) \
           $(SIP_ROGUE_SOURCE_FILES)

test$(EXE_SUFFIX): $(TEST_SOURCE_FILES) $(TEST_HEADER_FILES)
	$(CXX) $(CXXFLAGS) -lpthread -ljrtp -o test$(EXE_SUFFIX) \
           $(TEST_SOURCE_FILES)
	./test || ( FT=$$?; echo Failed $$FT Tests; exit $$FT )
	# Passed All Tests

waitfor$(EXE_SUFFIX): waitfor.c
	$(CC) $(CFLAGS) -o waitfor$(EXE_SUFFIX) waitfor.c

## sip 4.7.7-maemo2

=== debian/changelog ===
sip (4.7.7-maemo2) unstable; urgency=low

  * Removing temporary files.

 -- Renato Filho <renato.filho@openbossa.org>  Thu, 18 Sep 2008 19:02:45 -0300

sip (4.7.7-maemo1) unstable; urgency=low

  * Updated SIP to version 4.7.7.

 -- Renato Filho <renato.filho@openbossa.org>  Wed, 17 Sep 2008 17:17:00 -0300

sip (4.7.6-maemo1) unstable; urgency=low

  * Newer release for PyQt 4.4 

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Thu, 29 May 2008 16:05:47 -0300

sip (4.7.4-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Mon, 18 Feb 2008 15:19:48 -0300

=== debian/control ===
Source: sip
Priority: extra
Maintainer: Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>
Build-Depends: debhelper (>= 5), python2.5-dev (>= 2.5.1), dpatch
Standards-Version: 3.7.2
Section: libs

Package: sip-dev
Section: libdevel
Architecture: any
Depends: sip (= ${Source-Version}), python2.5 (>= 2.5.1)
Description: Python/C++ bindings generator development files.
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings, because it's specific
 to C++ and Python.
 Homepage: http://www.riverbankcomputing.co.uk/sip

Package: sip
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5 (>= 2.5.1)
Description: Python/C++ bindings generator runtime.
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings, because it's specific
 to C++ and Python.
 Homepage: http://www.riverbankcomputing.co.uk/sip
